'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateOptions = exports.optionSchema = exports.defaultOptions = undefined;

var _ = require('..');

var _2 = _interopRequireDefault(_);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultOptions = exports.defaultOptions = {};

var optionSchema = exports.optionSchema = {
  patternProperties: {
    '^.*$': {
      anyOf: [{ type: 'string' }, { type: 'number' }]
    }
  },
  additionalProperties: false
};

_2.default.addSchema(optionSchema, 'env-var-options');

var validateOptions = exports.validateOptions = function validateOptions(options) {
  return _2.default.validate('env-var-options', options);
};