'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateOptions = exports.injectorsSchema = exports.defaultOptions = undefined;

var _ = require('..');

var _2 = _interopRequireDefault(_);

var _envVar = require('../../injectors/env-var');

var _envVar2 = _interopRequireDefault(_envVar);

var _envVarOptions = require('./env-var-options');

var _fileOptions = require('./file-options');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultOptions = exports.defaultOptions = [(0, _envVar2.default)()];

var injectorsSchema = exports.injectorsSchema = {
  type: 'array',
  items: [_envVarOptions.optionSchema, _fileOptions.optionSchema],
  default: defaultOptions
};

_2.default.addSchema(injectorsSchema, 'injectors');

var validateOptions = exports.validateOptions = function validateOptions(options) {
  return _2.default.validate('injectors', options);
};